package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaBonusAllocation;
import com.ruoyi.oa.domain.vo.OaBonusAllocationVo;
import com.ruoyi.oa.domain.bo.OaBonusAllocationBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 奖金池分配（记录奖金池向用户的分配比例及金额）Service接口
 *
 * @author ruoyi
 * @date 2025-10-24
 */
public interface IOaBonusAllocationService {

    /**
     * 查询奖金池分配（记录奖金池向用户的分配比例及金额）
     */
    OaBonusAllocationVo queryById(Long allocationId);

    /**
     * 查询奖金池分配（记录奖金池向用户的分配比例及金额）列表
     */
    TableDataInfo<OaBonusAllocationVo> queryPageList(OaBonusAllocationBo bo, PageQuery pageQuery);

    /**
     * 查询奖金池分配（记录奖金池向用户的分配比例及金额）列表
     */
    List<OaBonusAllocationVo> queryList(OaBonusAllocationBo bo);

    /**
     * 新增奖金池分配（记录奖金池向用户的分配比例及金额）
     */
    Boolean insertByBo(OaBonusAllocationBo bo);

    /**
     * 修改奖金池分配（记录奖金池向用户的分配比例及金额）
     */
    Boolean updateByBo(OaBonusAllocationBo bo);

    /**
     * 校验并批量删除奖金池分配（记录奖金池向用户的分配比例及金额）信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
